#include <msp/graphics/window_private.h>
#include "mouse.h"

namespace Msp {
namespace Input {

void Mouse::input_event(const Graphics::Window::Event &event)
{
	switch(event.xevent.type)
	{
	case ButtonPress:
	case ButtonRelease:
		set_button_state(event.xevent.xbutton.button, event.xevent.type==ButtonPress, true);
		break;
	case MotionNotify:
		set_axis_value(0, event.xevent.xmotion.x*2.0/window.get_width()-1.0, true);
		set_axis_value(1, 1.0-event.xevent.xmotion.y*2.0/window.get_height(), true);
		break;
	}
}

} // namespace Input
} // namepsace Msp
